* {
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  color: #333;
}
/** Post header photo*/
.post-photo-wrapper {
  height: 250px;
  overflow: hidden;
  margin-bottom: 2rem;
}
.post-photo {
  width: 100%;
}
.photo-placeholder {
  height: 250px;
}

/**Whole post and editing part under header photo*/
.card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  margin: 2rem;
  padding-top: 1rem;
}
.post-card {
  border: 1px solid rgb(225, 225, 225);
  width: 40rem;
  border-radius: 4px;
  padding-bottom: 2rem;
  box-shadow: 2px 5px 20px rgb(201, 201, 201);
}

.post-text-empty-container {
  width: 32rem;
  margin-bottom: 4rem;
}
/**Post text*/
.post-text-container {
  width: 33rem;
  padding: 1.5rem 0 1.5rem 0;
  border-radius: 4px;
  font-size: larger;
}
.post-header {
  margin: 3rem 0 2rem 0;
}

.posttext-wrapper {
  display: flex;
  text-align: left;
}

.add-form {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  margin-bottom: 2rem;
}
.comment-wrapper {
  display: flex;
  flex-direction: column;
  text-align: left;
}
.comment {
  font-size: small;
  margin: 1rem 3rem 1rem 3rem;
  padding: 1rem 0 1rem 0;
  min-width: 30rem;
  background-color: white;
}

.comment-list {
  text-align: left;
  margin: 0 0 3.5rem 0;
  width: 30rem;
}

.textarea-wrapper {
  display: flex;
  flex-direction: column;
  text-align: left;
  gap: 1rem;
}
/** blogpost draft card wrapper*/
.draft-card {
  border: 1px solid rgb(225, 225, 225);
  width: 40rem;
  border-radius: 4px;
  padding-bottom: 2rem;
}
/** Draft header that blog owner can give to the post (bef. publishing) */
.draft-header {
  padding: 6px 12px;
  font-family: sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  width: 30rem;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #86b7fe;
  appearance: none;
  border-radius: 4px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.draft-header:focus {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
}

.draft-main-header {
  margin: 2rem 0 0 0;
}
.draft-header {
  margin-bottom: 1rem;
}
/** textareas for comment & for blog text*/
.text-uploader,
.comment-uploader {
  width: 30rem;
  padding: 6px 12px;
  font-family: sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #86b7fe;
  appearance: none;
  border-radius: 4px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.text-uploader:focus,
.comment-uploader:focus {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
}
/** textarea for  blog text*/
.text-uploader {
  height: 10rem;
}
/** textarea for comment text*/
.comment-uploader {
  height: 3rem;
}
.post-coverphoto-uploader {
  margin: 2rem;
}
.btn-primary,
.btn-upload::file-selector-button {
  display: inline-block;
  outline: 0;
  cursor: pointer;
  border: none;
  padding: 0 40px;
  height: 40px;
  line-height: 30px;
  border-radius: 7px;
  background-color: #0070f3;
  color: white;
  font-weight: 400;
  font-size: 16px;
  box-shadow: 0 4px 14px 0 rgb(0 118 255 / 39%);
  transition: background 0.2s ease, color 0.2s ease, box-shadow 0.2s ease;
}
.btn-primary :hover,
.btn-upload::file-selector-button:hover {
  background: rgba(0, 118, 255, 0.9);
  box-shadow: 0 6px 20px rgb(0 118 255 / 23%);
}
